/*----------------------------------------------------------
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version
2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place, Suite 330,
Boston, MA  02111-1307  USA

The original author of this program is Hin Jang
March 20, 2003
-----------------------------------------------------------*/

// ----------------------------------------------------------
// kdTreeRoot.cpp (abstract class for all strategies)
// ----------------------------------------------------------

#include "kdTreeRoot.h"

KDTreeRoot::KDTreeRoot()
{

  vertexPool.clear();
  polygonPool.clear();

}

KDTreeRoot::~KDTreeRoot()
{

  int i, n;

  n = vertexPool.size();
  for (i=0; i<n; ++i) delete vertexPool[i];

  n = polygonPool.size();
  for (i=0; i<n; ++i) delete polygonPool[i];

}

